# -*- coding: utf-8 -*-
import random, os

__doc__ = """A class to store configuration details.
Now these are sort of stub that can (and should) be extended:
selection method for disamb lexems (when there is ambiguity),
method of generating section names.

Adam Radziszewski, 19.08.2009
Licence: LGPL 3.0
"""

class Details:
	SELECT_DISAMB = [
		('random', lambda seq: int(random.random() * len(seq)))
	]
	
	TEXT_ID = [
		('pl', lambda anything: 'Opl.'), # use 'Opl.' for Polish as in 'Oen.' for English or 'Obg.' for Bulgarian
		('name', lambda path: os.path.basename(path)) # get the last part of the filename
	]
	
	
	def __init__(self, options):
		self.select = dict(Details.SELECT_DISAMB)[options.select]
		self.get_text_id = dict(Details.TEXT_ID)[options.textid]
		self.clean_lex = options.clean_lex

